
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Cowell-Asia Techtalks | Ranking</title>
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto|Varela+Round">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="shortcut icon" href="{{url_for('static', filename="/img/favicon.ico")}}">
<link rel="canonical" href="https://getbootstrap.com/docs/5.1/examples/album/">

<!-- Bootstrap core CSS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link href="{{url_for('static', filename="/css/headers.css")}}" rel="stylesheet">
<link href="{{url_for('static', filename="/css/bootstrap.css")}}" rel="stylesheet">
<link href="{{url_for('static', filename="/css/navbar.css")}}" rel="stylesheet">
<link href="{{url_for('static', filename="/css/style.css")}}" rel="stylesheet">
<link href="{{url_for('static', filename="/css/ranking.css")}}" rel="stylesheet">
<script src="{{url_for('static',filename="/js/bootstrap.bundle.min.js")}}"></script>
        
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs5/dt-1.11.3/datatables.min.css"/>
 
<script type="text/javascript" src="https://cdn.datatables.net/v/bs5/dt-1.11.3/datatables.min.js"></script>

<script>
$(document).ready(function(){  
  initTable();
});

function initTable() {
  const dataRaking = {{speakers | tojson}};
  var $table = $('#speakers').DataTable( {
        data: dataRaking,
        order: [[ 5, "desc" ]],
        lengthMenu: [[20, 30, 50, -1], [20, 30, 50, "All"]],
        columns: [
            { title: "#" , sortable: false},
            { title: "Speakers" ,
              render: function(data, type, row, meta){
                return  '<a href="/profile/'+data[0]+'" class="card-text" id = "GFG" style="color: black">' + data[1] + '</a>'; 
            }
              },
            { title: "No. Posts" },
            { title: "Total Rates" },
            { title: "Total Stars" },
            { title: "Avg Rate"}
        ]
    } );

  $table.on( 'order.dt search.dt', function () {
    $table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
        cell.innerHTML = i+1;
    } );
  }).draw();

}

</script>
</head>
<body>
<header class="p-3 bg-dark text-white">
      <div class="container">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark" aria-label="Fifth navbar example">
          <div class="container-fluid">
            <a class="navbar-brand" href="/">CWA TECHTALKS</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExample05" aria-controls="navbarsExample05" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarsExample05">
              <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                  <a class="nav-link active" aria-current="page" href="/ranking">Ranking</a>
                </li>
              </ul>
              <div class="flex-shrink-0 dropdown ms-2">
                <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" id="dropdownUser1" data-bs-toggle="dropdown" aria-expanded="false">
                {% if avatar%}
                  <img src="{{avatar}}" alt="mdo" width="32" height="32" class="rounded-circle">
                {% else %}
                  <img src="{{url_for('static',filename="/img/user.png")}}" alt="mdo" width="32" height="32" class="rounded-circle">
                {% endif %}
                </a>
                <ul class="dropdown-menu text-small" aria-labelledby="dropdownUser1">
                  <li><a class="dropdown-item" href="/add">Add new presentation</a></li>
                  <li><a class="dropdown-item" href="/presentations">My Presentations</a></li>
                  <li><a class="dropdown-item" href="/profile">Profile</a></li>
                  <li><hr class="dropdown-divider"></li>
                  <li><a class="dropdown-item" href="/logout">Log out</a></li>
                </ul>
              </div>
              
            </div>
          </div>
        </nav>
      </div>
    </header>
<main>
    <div class="main-content">
        <div class="card-body p-4 text-black">
            <div class="container-xl">
                  <h2 class="text-center"><center>Co-well TechTalks <b>Ranking</center></b></h2>
              <div class="card text-dark">
                  <div class="mt-5 text-center">
                      <div class="d-flex justify-content-between align-items-center mt-4 px-4">
                          <div class="stats">
                              <h6 class="mb-0"><center>Total talks</center></h6><span><center>{{totalTalks}}</center></span> 
                          </div>
                          <div class="stats">
                              <h6 class="mb-0"><center>Total speakers</center></h6><span><center>{{totalSpeakers}}</center></span> 
                          </div>
                          <div class="stats">
                              <h6 class="mb-0"><center>Total voters</center></h6><span><center>{{totalVoters}}</center></span> 
                          </div>
                      </div>
                  </div>
              </div>
              <div class="container">
                  <table id="speakers" class="table table-striped table-bordered" style="width:100%"></table>
                </div>  
            </div>  
        </div>   
    </div>
</main>
<footer class="bg-light text-center text-lg-start">
  <div class="container">
    <p class="text-center text-muted">&copy; Co-Well Academy - Behind your success! {{vers_config}}</p>
  </div>
</footer>
</body>
</html>                                		
